<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');

$fecha1=$_GET['desde'];
$fecha2=$_GET['hasta'];
$tipo_factura=$_GET['tipo_factura'];

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
$pdf->Cell(0,10,'UTILIDAD DETALLADA '.$fecha1. ' HASTA ' .$fecha2,0,1);

$pdf->SetFillColor(128, 139, 150);
$pdf->SetFont('Arial','B',7);
$pdf->Cell(15,4,'CODIGO',1,0,'C',1);
$pdf->Cell(100,4,'NOMBRE',1,0,'C',1);
$pdf->Cell(15,4,'CANTIDAD',1,0,'C',1);
$pdf->Cell(20,4,'PRECIO COSTO',1,0,'C',1);
$pdf->Cell(20,4,'PRECIO VENTA',1,0,'C',1);
$pdf->Cell(20,4,'UTILIDAD',1,0,'C',1);
$pdf->Ln(); 
$pdf->SetFont('Arial','',7);

$utt=0;
$pcc=0;
$pvv=0;

$uttc=0;
$pccc=0;
$pvvc=0;


for($i=$fecha1;$i<=$fecha2;$i = date("Y-m-d", strtotime($i ."+ 1 days")))
{
    if($tipo_factura=='0')
    {
        if ($activar_remisiones=='Si') 
        {
            $registros=mysqli_query($con,"SELECT * FROM ventas where ven_fecha='$i' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_n_venta desc") or die(mysqli_error($con));
        }
        else
        {
            $registros=mysqli_query($con,"SELECT * FROM ventas where ven_tipo<>'remision' and ven_fecha='$i' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_n_venta desc") or die(mysqli_error($con));
        }
    }
    else
    {
        $registros=mysqli_query($con,"SELECT * FROM ventas where ven_tipo='$tipo_factura' and ven_fecha='$i' and sucursal='$sucursal' and empresa='$empresa' and ven_estado<>'anulada' order by ven_n_venta desc") or die(mysqli_error($con));
    }

    $numr=mysqli_num_rows($registros);
    if($numr>0)
    {
        $pdf->SetFillColor(133, 193, 233);
        $pdf->multicell(190,4,$i,1,0,'C',1);
    }

    while ($reg=mysqli_fetch_array($registros))
    {
        $ven_id=$reg['ven_id'];
        $sql=mysqli_query($con, "SELECT * from venta_detalle where ventas_ven_id='$ven_id' AND vend_art_id<>'5770' AND vend_art_id<>'5771' and vend_art_id<>'8577' and vend_art_id<>'8874' and vend_art_id<>'8875' ");
        while ($row=mysqli_fetch_array($sql))
        {
            $vend_art_id=$row['vend_art_id'];
            $vend_referencia=$row['vend_referencia'];
            $vend_nombre=$row['vend_nombre'];
            $vend_cantidad=$row['vend_cantidad_dev'];
            $vend_x_cantidad=$row['vend_x_cantidad'];
            $vend_costo=$row['vend_costo'];
            $vend_precio_real=$row['vend_precio_real'];

            if ($vend_costo==null) 
            {
                $art=mysqli_query($con,"SELECT * from articulos where art_id='$vend_art_id'");
                $row1=mysqli_fetch_array($art);
                $precio_costo=$row1['art_precio_costo']*$vend_x_cantidad;
            }
            else
            {
                $precio_costo=$vend_costo*$vend_x_cantidad;
            }

            $costo=$precio_costo*$vend_cantidad;
            $venta=$vend_precio_real*$vend_cantidad;
            $utilidad=$venta-$costo;

            $pcc+=$costo;   
            $pvv+=$venta;
            $utt+=$utilidad;

            $pdf->SetWidths(array(15,100,15,20,20,20));
            srand(time()*1000000);
            $pdf->Row(array($vend_referencia,utf8_decode($vend_nombre),$vend_cantidad,number_format($costo,0),number_format($venta,0),number_format($utilidad,0)));
        }   


        $sqlc=mysqli_query($con, "SELECT * from venta_detalle_combo where ven_id='$ven_id' ");
        while ($rowc=mysqli_fetch_array($sqlc))
        {
            $combo_id=$rowc['combo_id'];
            $combo_cantidad=$rowc['combo_cantidad'];
            $combo_nombre=$rowc['combo_nombre'];
            $combo_costo=$rowc['combo_costo'];
            $combo_precio=$rowc['combo_precio'];
            $combo_desc=$rowc['combo_desc'];

            if ($combo_costo==null) 
            {
                $totalprecio_costo=0;
                $com=mysqli_query($con, "SELECT * from combos_articulos where combos_com_id='$combo_id'");
                while ($com1=mysqli_fetch_array($com))
                {
                    $coma_art_id=$com1['coma_art_id'];
                    $coma_art_cantidad=$com1['coma_art_cantidad'];
                    $artc=mysqli_query($con, "SELECT * from articulos where art_id='$coma_art_id'");
                    $row1=mysqli_fetch_array($artc);
                    $totalprecio_costo+=$precio_costo=$row1['art_precio_costo']*$coma_art_cantidad;
                }    
            }
            else
            {
                $totalprecio_costo=$combo_costo;
            }

            $costo_combo=$totalprecio_costo*$combo_cantidad;
            $venta_combo=$combo_precio*$combo_cantidad;
            $utilidad_combo=$venta_combo-$costo_combo;

            $pccc+=$costo_combo;   
            $pvvc+=$venta_combo;
            $uttc+=$utilidad_combo;


            $com0=mysqli_query($con, "SELECT * from combos where com_id='$combo_id'");
            $com0=mysqli_fetch_array($com0);
            $com_referencia=$com0['com_referencia'];
            $com_nombre=$com0['com_nombre'];

            $pdf->SetWidths(array(15,100,15,20,20,20));
            srand(time()*1000000);
            $pdf->Row(array($com_referencia,utf8_decode($combo_nombre),$combo_cantidad,number_format($costo_combo,0),number_format($venta_combo,0),number_format($utilidad_combo,0))); 
        }      
    }
}


$pdf->SetFillColor(255,87,51);
$pdf->Cell(130,4,'',1,0,'C',1);
$pdf->Cell(20,4,number_format($pcc+$pccc,0),1,0,'C',1);
$pdf->Cell(20,4,number_format($pvv+$pvvc,0),1,0,'C',1);
$pdf->Cell(20,4,number_format($utt+$uttc,0),1,0,'C',1);
$pdf->Ln();

$pdf->Output();
?>